[libav-bugs] [Bug 913] [PATCH] configure uses a gnu-specific coreutils prorgam

bugzilla at libav.org bugzilla at libav.org
Mon Nov 23 20:25:51 CET 2015


https://bugzilla.libav.org/show_bug.cgi?id=913

lu_zero at gentoo.org <lu_zero at gentoo.org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |lu_zero at gentoo.org

--- Comment #1 from lu_zero at gentoo.org <lu_zero at gentoo.org> ---
According to the BSD manpage for pr

STANDARDS
     The pr utility is IEEE Std 1003.1-2001 (``POSIX.1'') compatible.

HISTORY
     A pr command appeared in Version 1 AT&T UNIX.

busybox does not contain pr, but pr is not gnu-specific at all.

That said, pr is used in two places, the one you patched is well hidden in the
log file and give our tests are at most 5 lines long its usefulness is limited.

`print_3_columns` on the other hand is user-facing, but I guess it could be
replaced with awk easily.

Do you have time to work on an awk-based replacement for the latter and,
possibly, for the former?

-- 
You are receiving this mail because:
You are watching all bug changes.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.libav.org/pipermail/libav-bugs/attachments/20151123/a71e4cbd/attachment.html>


More information about the libav-bugs mailing list